/*
	Name: main.c
	Date: 16.Dec.2012
	Encoding: UTF-8
	Author: Michal Riša <xrisam01@stud.fit.vutbr.cz>
	Licence:
		Copyright (C) 2013 Michal Riša <mh74s74@gmail.com>

		This file is part of bp_xrisam01.

		bp_xrisam01 is free software: you can redistribute it and/or modify
		it under the terms of the GNU General Public License version 3 as
		published by the Free Software Foundation.

		bp_xrisam01 is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.

		You should have received a copy of the GNU General Public License
		along with bp_xrisam01. If not, see <http://www.gnu.org/licenses/>.
*/

#include <hidef.h>
#include "derivative.h"

#include "types.h"
#include "usb_drv.h"
#include "usb.h"

static void clock_init(void);

void main(void) {
	//write once registre
	SOPT1 = 0b00110000;  //COP vypnuty, povoli stop3 rezim
	SPMSC1 = 0b00010100; //detekcia podpetia a reset mimo stop3 rezimu
	SPMSC2 = 0b00000000; //2.74V<=  ^, stop3 rezim

	usb_clock_init();    //12MHz krystal, bus 24MHz, jadro 48MHz => USB 48MHz
	usb_init();          //zapne USB modul a inicializuje USB ovladac

	EnableInterrupts;
	for(;;) {
		asm wait;
	}
}
